## org.eclipse.datatools.sqltools.schemaobjecteditor.ui.core
Class NestedEditorPage

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.ui.part.WorkbenchPart
              org.eclipse.ui.part.EditorPart
                  org.eclipse.datatools.sqltools.common.ui.helpsystem.HelpSystemEditorPart
                      org.eclipse.datatools.sqltools.schemaobjecteditor.ui.core.SchemaObjectEditorPage
                          org.eclipse.datatools.sqltools.schemaobjecteditor.ui.core.NestedEditorPage

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, org.eclipse.core.runtime.IExecutableExtension, IDisablementPart, ISchemaObjectEditorPage, org.eclipse.help.IContextProvider, org.eclipse.ui.forms.editor.IFormPage, org.eclipse.ui.IEditorPart, org.eclipse.ui.ISaveablePart, org.eclipse.ui.IWorkbenchPart, org.eclipse.ui.IWorkbenchPart2, org.eclipse.ui.IWorkbenchPart3, org.eclipse.ui.part.IWorkbenchPartOrientation

Direct Known Subclasses:
  SourcePage

    public abstract class NestedEditorPage

extends SchemaObjectEditorPage

A schema object editor page whose content is a nested editor

Author:
  Idull

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.datatools.sqltools.schemaobjecteditor.ui.core.SchemaObjectEditorPage
`SchemaObjectEditorPage.PageForm`

Field Summary

Fields inherited from interface org.eclipse.datatools.sqltools.schemaobjecteditor.ui.ISchemaObjectEditorPage
`UNKNOWN_ITEM_TYPE`

Fields inherited from interface org.eclipse.ui.IEditorPart
`PROP_DIRTY, PROP_INPUT`

Fields inherited from interface org.eclipse.ui.IWorkbenchPart
`PROP_TITLE`

Fields inherited from interface org.eclipse.help.IContextProvider
`NONE, SELECTION`

Constructor Summary
`NestedEditorPage()`
`NestedEditorPage(org.eclipse.ui.forms.editor.FormEditor editor, java.lang.String id, java.lang.String title)`
`NestedEditorPage(java.lang.String id, java.lang.String title)`

Method Summary
`void` `aboutToLeave()` Notifies this page that a page switch event has occurred.
`abstract org.eclipse.ui.IEditorPart` `getNestedEditor()` Subclass should implement this method to reutrn the editor part in this page
`abstract org.eclipse.ui.IEditorInput` `getNestedEditorInput()` Subclass should implement this method to reutrn the editor input for the nested editor
`org.eclipse.swt.widgets.Control` `getPartControl()` Returns the form page control.
`void` `init(org.eclipse.ui.IEditorSite site, org.eclipse.ui.IEditorInput input)` Initializes the form page.
`boolean` `isDirty()` Implemented by testing if the managed form is dirty.
`boolean` `isEditor()` Form pages are not editors.
`void` `setPartControl(org.eclipse.swt.widgets.Control control)`

Methods inherited from class org.eclipse.datatools.sqltools.schemaobjecteditor.ui.core.SchemaObjectEditorPage

`aboutToSave, canLeaveThePage, createPartControl, dispose, doSave, doSaveAs, enable, getDatabaseIdentifier, getEditor, getEditorDescriptor, getErrorMsg, getId, getIndex, getManagedForm, getPageDescriptor, getPreferencePageIds, getTitleImage, initialize, isActive, isPageOpened, isSaveAsAllowed, markDirty, menuAboutToShow, modelRegenerated, populateSQLObjects, refresh, revert, selectReveal, setActive, setEditor, setEditorDescriptor, setFocus, setFocus, setId, setIndex, setPageDescriptor, setPartName, validate, validateAndShowErrors, validateOnline`

Methods inherited from class org.eclipse.datatools.sqltools.common.ui.helpsystem.HelpSystemEditorPart
`getContext, getContextChangeMask, getSearchExpression`

Methods inherited from class org.eclipse.ui.part.EditorPart
`getEditorInput, getEditorSite, getTitleToolTip, isSaveOnCloseNeeded, setInitializationData`

Methods inherited from class org.eclipse.ui.part.WorkbenchPart
`addPartPropertyListener, addPropertyListener, getAdapter, getContentDescription, getOrientation, getPartName, getPartProperties, getPartProperty, getSite, getTitle, removePartPropertyListener, removePropertyListener, setPartProperty, showBusy`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.IEditorPart
`getEditorInput, getEditorSite`

Methods inherited from interface org.eclipse.ui.IWorkbenchPart
`addPropertyListener, getSite, getTitle, getTitleToolTip, removePropertyListener`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Methods inherited from interface org.eclipse.ui.ISaveablePart
`isSaveOnCloseNeeded`

Constructor Detail

### NestedEditorPage

    public NestedEditorPage()

### NestedEditorPage

    public NestedEditorPage(org.eclipse.ui.forms.editor.FormEditor editor,
                            java.lang.String id,
                            java.lang.String title)

### NestedEditorPage

    public NestedEditorPage(java.lang.String id,
                            java.lang.String title)

Method Detail

### getPartControl

    public org.eclipse.swt.widgets.Control getPartControl()

  Description copied from class: `SchemaObjectEditorPage`
  Returns the form page control.

  Specified by:
    `getPartControl` in interface `org.eclipse.ui.forms.editor.IFormPage`
  Overrides:
    `getPartControl` in class `SchemaObjectEditorPage`
  Returns:
    managed form's control

### setPartControl

    public void setPartControl(org.eclipse.swt.widgets.Control control)

### getNestedEditor

    public abstract org.eclipse.ui.IEditorPart getNestedEditor()

  Subclass should implement this method to reutrn the editor part in this page

  Returns:

### getNestedEditorInput

    public abstract org.eclipse.ui.IEditorInput getNestedEditorInput()

  Subclass should implement this method to reutrn the editor input for the nested editor

  Returns:

### init

    public void init(org.eclipse.ui.IEditorSite site,
                     org.eclipse.ui.IEditorInput input)
              throws org.eclipse.ui.PartInitException

  Description copied from class: `SchemaObjectEditorPage`
  Initializes the form page.

  Specified by:
    `init` in interface `org.eclipse.ui.IEditorPart`
  Overrides:
    `init` in class `SchemaObjectEditorPage`
  Throws:
    `org.eclipse.ui.PartInitException`
  See Also:
    `IEditorPart.init(org.eclipse.ui.IEditorSite, org.eclipse.ui.IEditorInput)`

### isEditor

    public boolean isEditor()

  Description copied from class: `SchemaObjectEditorPage`
  Form pages are not editors.

  Specified by:
    `isEditor` in interface `org.eclipse.ui.forms.editor.IFormPage`
  Overrides:
    `isEditor` in class `SchemaObjectEditorPage`
  Returns:
    `false`

### isDirty

    public boolean isDirty()

  Description copied from class: `SchemaObjectEditorPage`
  Implemented by testing if the managed form is dirty.

  Specified by:
    `isDirty` in interface `org.eclipse.ui.ISaveablePart`
  Overrides:
    `isDirty` in class `SchemaObjectEditorPage`
  Returns:
    `true` if the managed form is dirty, `false` otherwise.
  See Also:
    `ISaveablePart.isDirty()`

### aboutToLeave

    public void aboutToLeave()

  Notifies this page that a page switch event has occurred. This is to workaround the problem that in FormEditor's pageChange implementation, setActive(true) is called before setActive(false).